This API allows to you to manage coupons.
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.
Use the API to manage the following features:
- Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
- Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
- Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
- Reward chains & Value points — configure reward progressions tied to value point accumulation.
- Daily chains — set up recurring daily rewards to motivate regular logins.
- Offer chains — build sequential purchase offers with per-step pricing and free reward options.
- Upsell — a sales method in which the user is offered to buy an item with additional value.
The API is divided into the following groups:
Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/offer_chain
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/offer_chain
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://store.xsolla.com/api/v2/project/44056/user/offer_chain?limit=50&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": false, "total_items_count": 3, "items": [ { … }, { … }, { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/offer_chain/{offer_chain_id}
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/offer_chain/{offer_chain_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://store.xsolla.com/api/v2/project/44056/user/offer_chain/101 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The user’s offer chain was successfully retrieved.
Date when the offer chain starts.
Date when the offer chain ends. Can be null. If date_end is null, the offer chain will not have a time limit.
Reset period of the offer chain.
{ "id": 4, "name": "Offer chain with bundles", "description": null, "date_start": "2010-04-15T18:16:00+05:00", "date_end": "2025-04-25T18:16:00+05:00", "order": 1, "recurrent_schedule": null, "steps": [ { … }, { … } ], "next_step_number": 1 }
Request
Completes the current user’s progression through the offer chain step and grants the associated reward.
Use this call only for free steps in the offer chain. For steps that require payment in real currency, use the Create order for paid offer chain step call instead.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/offer_chain/{offer_chain_id}/step/number/{step_number}/claim
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/offer_chain/{offer_chain_id}/step/number/{step_number}/claim
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://store.xsolla.com/api/v2/project/44056/user/offer_chain/101/step/number/1/claim \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "order_id": 641 }